%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 4f6c5d7dea5e637e772d17f1e547d6f1

Summary: KDE front-end of lm_sensors
Name: ksensors
Version: 0.7.3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://ksensors.sourceforge.net/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-hddtemp-detect.patch
Patch2: http://ftp.debian.org/debian/pool/main/k/%{name}/%{name}_%{version}-11.diff.gz
Patch3: %{name}-%{version}-po.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: lm_sensors
Requires: hddtemp
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: lm_sensors-devel
BuildPreReq: gettext
BuildPreReq: desktop-file-utils
ExclusiveArch: %{ix86} x86_64 alpha

%description
KSensors is a nice lm-sensors frontend for the K Desktop Environment.
Install the hddtemp package if you wish to monitor hard disk
temperatures with KSensors.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p0 -b .hddtemp
%patch2 -p1
%patch3 -p1 -b .po~

perl -pi -e 's/\$\(kde_datadir\)/\$(datadir)/' src/sounds/Makefile.*

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/ksensors.png %{buildroot}%{_datadir}/pixmaps/ksensors.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category System \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/ksensors.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL LEEME LIESMICH
%doc LISEZMOI README TODO
%{_bindir}/ksensors
%{_datadir}/applications/kde/ksensors.desktop
%{_datadir}/apps/ksensors
%{_datadir}/doc/HTML/*/ksensors
%{_datadir}/icons/*/*/*/ksensors.png
%{_datadir}/locale/*/LC_MESSAGES/ksensors.mo
%{_datadir}/pixmaps/ksensors.png
%{_datadir}/sounds/ksensors_alert.wav

%changelog
* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-1m)
- initial package for Momonga Linux
- patches are imported from Fedora
